# Generated by Django 4.2.7 on 2024-02-11 00:03

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('mecanica', '0007_alter_servicios_mecanico'),
    ]

    operations = [
        migrations.CreateModel(
            name='Cliente',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('nombre', models.CharField(max_length=150)),
                ('direccion', models.TextField()),
                ('telefono', models.CharField(max_length=15)),
                ('correo', models.EmailField(max_length=254)),
                ('cedula', models.CharField(max_length=15, unique=True)),
                ('foto', models.FileField(blank=True, null=True, upload_to='cliente')),
            ],
        ),
        migrations.RenameField(
            model_name='marca',
            old_name='nombre',
            new_name='nombre_marca',
        ),
        migrations.CreateModel(
            name='Vehiculo',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('modelo', models.CharField(max_length=50)),
                ('placa', models.CharField(max_length=8, unique=True)),
                ('kilometraje', models.TextField()),
                ('estado', models.CharField(max_length=150)),
                ('cliente', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='mecanica.cliente')),
                ('marca', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='mecanica.marca')),
            ],
        ),
    ]
